Subject: Re: addArg

From: Zheng Gengbin <[email-masked]>
Date: Fri, 11 Oct 1996 10:24:39 +0800 (EAT)

On Thu, 10 Oct 1996, Guansong Zhang wrote:

> On Oct 10,  9:18am, Zheng Gengbin wrote:
> > Subject: Re: addArg
> > On Wed, 9 Oct 1996, Guansong Zhang wrote:
> >
> > > I remeber last time you said that the addArg function in SgCallStmt has a
> bug,
> > > could you please tell me what is the problem?
> > >
> > > Guansong
> > >
> >
> >
> > 	That's a small bug . see
> >
> > 	NODE_OPERAND0(tail)=newExpr(EXPR_LIST,NULL, arg.thellnd);
> >
> > 	newExpr need 4 arguments , but this statement only provide 3 .This
> > cause segment fault in our HP workstation .
> > 	So , I modified that to
> >
> > 	NODE_OPERAND0(tail)=newExpr(EXPR_LIST,NULL, arg.thellnd,NULL);
> >                                                                ^^^^^^
> > Zheng
> >-- End of excerpt from Zheng Gengbin
> 
> 
> Thanks.
> 
> I am desperate about the answer on dbx call printf problem, could you please
> try on your AIX about it?
> 

	I have checked that . The reason is when you link the PROGRAM (include
hpf2dep , unparse ) you do not use the flag -g , which turn on the debug
function . So , use the cc like this:

	cc -g -o

that will solve the problem .

Zheng